<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100116";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

$TipIntEn=$_POST['TipInt'] or $TipIntEn=$_GET['TipInt'];

	if ($TipIntEn=="") 
		{///Inicia If GENERAL DEL PROCESO
			echo "<script>alert('Favor de Seleccionar el Tipo de Interfaz a Procesar dentro del Almacén de Deposito'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-RegistroDocReciboInterfazFiscalCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}///Termina If GENERAL DEL PROCESO
		else
		{///Inicia Else If GENERAL DEL PROCESO
		
///################################################################################################################################///
/// ****************************************** INICIA ALGORITMO INTERMAZ ALMACEN FISCAL ****************************************** ///
			
////Detectando el tipo de interfaz para su respectivo Algoritmo
if ($TipIntEn=="IntFis") 
{///Inicia If PROCESO DE INTERFAZ FISCAL


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$No_DocCSV=$fileop[0];
				$NoRef1CSV=$fileop[1];
				$NoRef2CSV=$fileop[2];
				$NoPediCSV=$fileop[3];
				$NoCaCuCSV=$fileop[4];
				$TipEntCSV=$fileop[5];
				$CveProCSV=$fileop[6];
				$CodSkuCSV=$fileop[7];
				$CxReciCSV=$fileop[8];
				$NoFactCSV=$fileop[9];
				$ObservCSV=$fileop[10];

				////Formateando las cadenas, quitando los espacios en blanco Inecesarios
					$No_DocCSV = trim($No_DocCSV);
					$NoRef1CSV = trim($NoRef1CSV);
					$NoRef2CSV = trim($NoRef2CSV);
					$NoPediCSV = trim($NoPediCSV);
					$NoCaCuCSV = trim($NoCaCuCSV);
					$TipEntCSV = trim($TipEntCSV);
					$CveProCSV = trim($CveProCSV);
					$CodSkuCSV = trim($CodSkuCSV);
					$CxReciCSV = trim($CxReciCSV);
					$NoFactCSV = trim($NoFactCSV);
					$ObservCSV = trim($ObservCSV);
					
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo Pasillo esta Vacio - 1				
				if ($NoRef1CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Referencia1 dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{
					
				////Identificar si el Campo TipoSalida esta Vacio - 2			
				if ($NoPediCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el # de Pedimento dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo CveDestino esta Vacio - 3		
				if ($NoCaCuCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Carta Cupo dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 4	
				if ($TipEntCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Tipo de Entrada dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 6	
				if ($CveProCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cve del Proveedor dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 7	
				if ($CodSkuCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el codigo SKU dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 8
				if ($CxReciCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cantidad por Recibir dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 9
				if ($NoFactCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el # de la Factura dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
			////Identificar si el Documento de Recibo Ya Existe dentro del Sistema - 10
				$sql1 = mysql_query("select NO_DOC_COMPLE from tabla_documentos WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$No_DocCSV'");
						
				if (mysql_numrows($sql1)<>0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$No_DocCSV','El No. de Documento que Intentas Interfazar ya existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
			////Identificar si el # de Pedimento Ya Existe dentro del Sistema - 11
				$sql1 = mysql_query("select NO_DOCUMENTO from tabla_documentos WHERE CVE_CUENTA='$CuentaCR1' AND PEDIMENTO='$NoPediCSV'");
						
				if (mysql_numrows($sql1)<>0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoPediCSV','El No. de Pedimento que Intentas Interfazar ya existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si la Carta Cupo Ya Existe dentro del Sistema - 12
				$sql1 = mysql_query("select NO_DOCUMENTO from tabla_documentos WHERE CVE_CUENTA='$CuentaCR1' AND CARTA_CUPO='$NoCaCuCSV'");
						
				if (mysql_numrows($sql1)<>0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoCaCuCSV','El No. de Carta Cupo que Intentas Interfazar ya existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Tipo de Entrada Existe dentro del Catalogo del WMS - 13
				$sql3 = mysql_query("select NOM_TIPOENTRADA from wms_configura_tipoentrada WHERE CVE_CUENTA='$CuentaCR1' AND CVE_TIPOENTRADA='$TipEntCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$TipEntCSV','El Tipo de Entrada que deseas Ejecutar no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si la Cve del Proveedor Existe dentro del Catalogo de Proveedores - 14
				$sql2 = mysql_query("select NOMBRE from tabla_proveedores WHERE CVE_CUENTA='$CuentaCR1' AND CVE_PROVEEDOR='$CveProCSV'");				
				if (mysql_numrows($sql2)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CveProCSV','La Clave del Proveedor que deseas Asociar al Pedido no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 15
				$sql3 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CodSkuCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CodSkuCSV','El código Sku que deseas Recibir no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 16
				if ($CxReciCSV < "0") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','La cantidad por recibir dentro del reglon $CuentaRegTotal es menor a 0','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Logica contenga puros Numeros
    			if (ctype_digit($NoPediCSV)) 
				{
					$Detecta17 = "OK_17";
    			} 
				else 
				{
					$Detecta17 = "ERROR_17";
    			}
				
			////Identificar que el NO de Pedimento contecga puros Numeros - 17
				if ($Detecta17 == "ERROR_17") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoPediCSV','El Número de Pedimento contiene letras dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				///Obtener la longitud de valores dentro del pedimento
				$LogValPed = strlen($NoPediCSV);
				
			////Identificar si el Campo Lado esta Vacio - 18
				if ($LogValPed <> "15") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoPediCSV','La Longuitud de caracteres dentro del Pedimento se encuentra fuera de los parametros autorizados por el SAT, favor de revisar el reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				/// Validar la primer sección del pedimento
					$FechaValPed=date("Y");
					$FechaValPed = substr($FechaValPed, -2, 2);
					$PedS1PG = substr($NoPediCSV, -15, 2);
											
			///// Validar la primer sección del pedimento (Primeros 2 digitos de todo el Pedimento) - 19
				if ($PedS1PG < $FechaValPed) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedS1PG','El año de creación del Pedimento es mas antiguo que el año en curso. Consultar la incidencia dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				$PedS2PG = substr($NoPediCSV, -13, 2);
					
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 20
				$sql3 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas WHERE CVE_CUENTA='$CuentaCR1' AND CVE_ADUANA='$PedS2PG'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedS2PG','El número de la aduana contenida en el Pedimento dentro Reglon $CuentaRegTotal no se encuentra autorizada por la Secretaria de Administración Tributaria (SAT)','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
					$FechaValPed2=date("Y");
					///Devuelve el ultimo digito del año
					$UltDigitoAñoPedimento = substr($FechaValPed2, -1);///Devuelve el ultimo digito del año en el que se creo el pedimento, tomando en cuenta la primer sección y/o los primros 2 digitos del numero de pedimento completo
					
					$PriDigitoFolAsignado = substr($NoPediCSV, -7,1);///Devuelve el primer digito del numero de pedimento completo 

			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 21
				if ($UltDigitoAñoPedimento <> $PriDigitoFolAsignado) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedS2PG','El año en la asignación del folio es diferente al año de la creación del pedimento. dentro Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Activación del Validador	
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				}///21
				}///20
				}///19
				}///18
				}///17
				}///16
				}///15
				}///14
				}///13
				}///12
				}///11
				}///10
				}///9
				}///8
				}///7
				}///6
				}///4
				}///3
				}///2
				}///1
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
					$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .csv','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .csv\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos	
			
	///******************************* Inicia Generación el No de Documento Interno del WMS *******************************///
	
		/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$BodBodCR1','$CuentaCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
	///******************************* Inicia Generación el No de Documento Interno del WMS *******************************///
	

			//// PROCESO GENERAL DE GUARDADO
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
					
					////Generador de Folio para la tabla_detalledocsur
					$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_detalledocumentos"; 
					$libPTDD = mysql_query($sqlPTDD); 
					$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
					$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;
					
					$No_DocCSV=$fileop2[0];
					$NoRef1CSV=$fileop2[1];
					$NoRef2CSV=$fileop2[2];
					$NoPediCSV=$fileop2[3];
					$NoCaCuCSV=$fileop2[4];
					$TipEntCSV=$fileop2[5];
					$CveProCSV=$fileop2[6];
					$CodSkuCSV=$fileop2[7];
					$CxReciCSV=$fileop2[8];
					$NoFactCSV=$fileop2[9];
					$ObservCSV=$fileop2[10];

				////Formateando las cadenas, quitando los espacios en blanco Inecesarios
						$No_DocCSV = trim($No_DocCSV);
						$NoRef1CSV = trim($NoRef1CSV);
						$NoRef2CSV = trim($NoRef2CSV);
						$NoPediCSV = trim($NoPediCSV);
						$NoCaCuCSV = trim($NoCaCuCSV);
						$TipEntCSV = trim($TipEntCSV);
						$CveProCSV = trim($CveProCSV);
						$CodSkuCSV = trim($CodSkuCSV);
						$CxReciCSV = trim($CxReciCSV);
						$NoFactCSV = trim($NoFactCSV);
						$ObservCSV = trim($ObservCSV);
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
					////Consultar la Descripcion del Producto por el Sku en la tabla_altaproducto
						$sql_5 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CodSkuCSV'");
						if (mysql_numrows($sql_5)==0) echo "";
						else{
						$registro_5=mysql_fetch_array($sql_5);
						}
						if (mysql_numrows($sql_5)>0)
						{
						$Desc_5=$registro_5["DESCRIPCION"];
						}
						
					////Generador de # de Fila para la tabla_detalledocsur
					$sql_SF = "select max(FILA) as ultimo_FOLIO_SF from tabla_detalledocumentos WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$No_DocCSV'"; 
					$lib_SF = mysql_query($sql_SF); 
					$rs_lib_SF = mysql_fetch_assoc($lib_SF); 
					$id_nuevo_SF = $rs_lib_SF['ultimo_FOLIO_SF'] + 1;

					////Consulta que Guarda el Registro de Cada Ubicación en la tabla_prioridad
					$sql_GDD = mysql_query("INSERT INTO tabla_detalledocumentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,FILA,SKU,DESCRIPCION,CANT_XRECIBIR,NO_FACTURA,ESTATUS,USUARIO_ALTA,HORA,FECHA,REFERENCIA_1) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$id_nuevo_SF','$CodSkuCSV','$Desc_5','$CxReciCSV','$NoFactCSV','SIN RECIBO','$UsuEn','$HoraOK','$Fecha','$NoRef1CSV')");											
						
					} ////Fin del While general que guarda los Registros
				
	////*****************************Guardar el Registro del Documento******************************////
					////Generador de Folio para la tabla_docsurtido
						$sql_Fol = "select max(ID) as ultimo_FOLIO_Fol from tabla_documentos"; 
						$lib_Fol = mysql_query($sql_Fol); 
						$rs_lib_Fol = mysql_fetch_assoc($lib_Fol); 
						$id_nuevo_Fol = $rs_lib_Fol['ultimo_FOLIO_Fol'] + 1;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK2=date("H:i:s",$Hora);
						$Fecha2=date("Y/m/d");
					
					/////Vigencia de Documento
						$VigenFecha = strtotime ( '+2 day' , strtotime ( $Fecha2 ) ) ;
						$VigenFecha = date ( 'Y/m/d' , $VigenFecha );
					
					////Guarda el Registro del Documento		
						$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,TIPO_ALMACEN,PEDIMENTO,CARTA_CUPO,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,FECHA_REG,HORA_REG,OBSERVACIONES,USUARIO_REG)
		values('$id_nuevo_Fol','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$NoRef1CSV','$NoRef2CSV','20','$NoPediCSV','$NoCaCuCSV','POR RECIBIR','$TipEntCSV','$CveProCSV','$VigenFecha','$Fecha2','$HoraOK2','$ObservCSV','$UsuEn')";

						$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
				
		echo "<script>alert('DOCUMENTO DE RECIBO FISCAL INTERFAZADO CORRECTAMENTE.\\nSe agregaron $CuentaRegExitosos registros al detalle del mismo.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-RegistroDocReciboInterfazFiscalCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-BitacoraDocReciboInterfazFiscalCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////


}///Termina If PROCESO DE INTERFAZ FISCAL

/// ****************************************** TERMINA ALGORITMO INTERMAZ ALMACEN FISCAL ***************************************** ///
///################################################################################################################################///





///################################################################################################################################///
/// **************************************** INICIA ALGORITMO INTERMAZ ALMACEN NACIONAL ****************************************** ///
			
////Detectando el tipo de interfaz para su respectivo Algoritmo
if ($TipIntEn=="IntNac") 
{///Inicia If PROCESO DE INTERFAZ FISCAL


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$No_DocCSV=$fileop[0];
				$NoRef1CSV=$fileop[1];
				$NoRef2CSV=$fileop[2];
				$NoPediCSV=$fileop[3];
				$NoCaCuCSV=$fileop[4];
				$TipEntCSV=$fileop[5];
				$CveProCSV=$fileop[6];
				$CodSkuCSV=$fileop[7];
				$CxReciCSV=$fileop[8];
				$NoFactCSV=$fileop[9];
				$ObservCSV=$fileop[10];

				////Formateando las cadenas, quitando los espacios en blanco Inecesarios
					$No_DocCSV = trim($No_DocCSV);
					$NoRef1CSV = trim($NoRef1CSV);
					$NoRef2CSV = trim($NoRef2CSV);
					$NoPediCSV = trim($NoPediCSV);
					$NoCaCuCSV = trim($NoCaCuCSV);
					$TipEntCSV = trim($TipEntCSV);
					$CveProCSV = trim($CveProCSV);
					$CodSkuCSV = trim($CodSkuCSV);
					$CxReciCSV = trim($CxReciCSV);
					$NoFactCSV = trim($NoFactCSV);
					$ObservCSV = trim($ObservCSV);
					
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo Pasillo esta Vacio - 1				
				if ($NoRef1CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Referencia1 dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 4	
				if ($TipEntCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Tipo de Entrada dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Cve.Proveedor esta Vacio - 6	
				if ($CveProCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cve del Proveedor dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Sku esta Vacio - 7	
				if ($CodSkuCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el codigo SKU dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Cantidad por Recibir esta Vacio - 8
				if ($CxReciCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cantidad por Recibir dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo # de Factura esta Vacio - 9
				if ($NoFactCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el # de la Factura dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Tipo de Entrada Existe dentro del Catalogo del WMS - 13
				$sql3 = mysql_query("select NOM_TIPOENTRADA from wms_configura_tipoentrada WHERE CVE_CUENTA='$CuentaCR1' AND CVE_TIPOENTRADA='$TipEntCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$TipEntCSV','El Tipo de Entrada que deseas Ejecutar no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si la Cve del Proveedor Existe dentro del Catalogo de Proveedores - 14
				$sql2 = mysql_query("select NOMBRE from tabla_proveedores WHERE CVE_CUENTA='$CuentaCR1' AND CVE_PROVEEDOR='$CveProCSV'");				
				if (mysql_numrows($sql2)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CveProCSV','La Clave del Proveedor que deseas Asociar al Pedido no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 15
				$sql3 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CodSkuCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CodSkuCSV','El código Sku que deseas Recibir no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 16
				if ($CxReciCSV < "0") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','La cantidad por recibir dentro del reglon $CuentaRegTotal es menor a 0','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
													
				////Activación del Validador	
				$CuentaRegExitosos=$CuentaRegExitosos+1;

				}///16
				}///15
				}///14
				}///13
				}///9
				}///8
				}///7
				}///6
				}///4
				}///1
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
					$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .csv','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .csv\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos	
			
	///******************************* Inicia Generación el No de Documento Interno del WMS *******************************///
	
		/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$BodBodCR1','$CuentaCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
	///******************************* Inicia Generación el No de Documento Interno del WMS *******************************///
	

			//// PROCESO GENERAL DE GUARDADO
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
					
					////Generador de Folio para la tabla_detalledocsur
					$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_detalledocumentos"; 
					$libPTDD = mysql_query($sqlPTDD); 
					$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
					$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;
					
					$No_DocCSV=$fileop2[0];
					$NoRef1CSV=$fileop2[1];
					$NoRef2CSV=$fileop2[2];
					$NoPediCSV=$fileop2[3];
					$NoCaCuCSV=$fileop2[4];
					$TipEntCSV=$fileop2[5];
					$CveProCSV=$fileop2[6];
					$CodSkuCSV=$fileop2[7];
					$CxReciCSV=$fileop2[8];
					$NoFactCSV=$fileop2[9];
					$ObservCSV=$fileop2[10];

				////Formateando las cadenas, quitando los espacios en blanco Inecesarios
						$No_DocCSV = trim($No_DocCSV);
						$NoRef1CSV = trim($NoRef1CSV);
						$NoRef2CSV = trim($NoRef2CSV);
						$NoPediCSV = trim($NoPediCSV);
						$NoCaCuCSV = trim($NoCaCuCSV);
						$TipEntCSV = trim($TipEntCSV);
						$CveProCSV = trim($CveProCSV);
						$CodSkuCSV = trim($CodSkuCSV);
						$CxReciCSV = trim($CxReciCSV);
						$NoFactCSV = trim($NoFactCSV);
						$ObservCSV = trim($ObservCSV);
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
					////Consultar la Descripcion del Producto por el Sku en la tabla_altaproducto
						$sql_5 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CodSkuCSV'");
						if (mysql_numrows($sql_5)==0) echo "";
						else{
						$registro_5=mysql_fetch_array($sql_5);
						}
						if (mysql_numrows($sql_5)>0)
						{
						$Desc_5=$registro_5["DESCRIPCION"];
						}
						
					////Generador de # de Fila para la tabla_detalledocsur
					$sql_SF = "select max(FILA) as ultimo_FOLIO_SF from tabla_detalledocumentos WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocPG'"; 
					$lib_SF = mysql_query($sql_SF); 
					$rs_lib_SF = mysql_fetch_assoc($lib_SF); 
					$id_nuevo_SF = $rs_lib_SF['ultimo_FOLIO_SF'] + 1;

					////Consulta que Guarda el Registro de Cada Ubicación en la tabla_prioridad
					$sql_GDD = mysql_query("INSERT INTO tabla_detalledocumentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,FILA,SKU,DESCRIPCION,CANT_XRECIBIR,NO_FACTURA,ESTATUS,USUARIO_ALTA,HORA,FECHA,REFERENCIA_1) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$id_nuevo_SF','$CodSkuCSV','$Desc_5','$CxReciCSV','$NoFactCSV','SIN RECIBO','$UsuEn','$HoraOK','$Fecha','$NoRef1CSV')");											
						
					} ////Fin del While general que guarda los Registros
				
	////*****************************Guardar el Registro del Documento******************************////
					////Generador de Folio para la tabla_docsurtido
						$sql_Fol = "select max(ID) as ultimo_FOLIO_Fol from tabla_documentos"; 
						$lib_Fol = mysql_query($sql_Fol); 
						$rs_lib_Fol = mysql_fetch_assoc($lib_Fol); 
						$id_nuevo_Fol = $rs_lib_Fol['ultimo_FOLIO_Fol'] + 1;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK2=date("H:i:s",$Hora);
						$Fecha2=date("Y/m/d");
					
					/////Vigencia de Documento
						$VigenFecha = strtotime ( '+2 day' , strtotime ( $Fecha2 ) ) ;
						$VigenFecha = date ( 'Y/m/d' , $VigenFecha );
					
					////Guarda el Registro del Documento		
						$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,TIPO_ALMACEN,PEDIMENTO,CARTA_CUPO,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,FECHA_REG,HORA_REG,OBSERVACIONES,USUARIO_REG)
						values('$id_nuevo_Fol','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$NoRef1CSV','$NoRef2CSV','10','$NoPediCSV','$NoCaCuCSV','POR RECIBIR','$TipEntCSV','$CveProCSV','$VigenFecha','$Fecha2','$HoraOK2','$ObservCSV','$UsuEn')";
						$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
			
///***************************************************************************************************************************
/// Inicia Nuevo proceso de Asignación de Tarima, Sector, Preubicación, etc
			
			$NoDisper = "0";
			$sql_W03=mysql_query("Select Distinct(SKU) As SkuUnico from tabla_detalledocumentos Where NO_DOCUMENTO='$NoDocPG' AND CVE_CUENTA='$CuentaCR1' Order By SkuUnico ASC");
			while($res_W03=mysql_fetch_array($sql_W03))
			{///Inicia While 03
				$CodSku_W03 = $res_W03['SkuUnico'];
				
				$NoDisper = $NoDisper + 1;
				
				$sql_MDi="UPDATE tabla_detalledocumentos SET NO_DISPERSION='$NoDisper' Where NO_DOCUMENTO='$NoDocPG' AND CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_W03'";
				$resultado_MDi=mysql_query($sql_MDi,$conexion) or die(mysql_error());
				
			}///Termina While 03

/// Termina Nuevo proceso de Asignación de Tarima, Sector, Preubicación, etc			
///***************************************************************************************************************************			
				
		echo "<script>alert('DOCUMENTO DE RECIBO NACIONAL INTERFAZADO CORRECTAMENTE.\\nSe agregaron $CuentaRegExitosos registros al detalle del mismo.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-RegistroDocReciboInterfazFiscalCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-BitacoraDocReciboInterfazFiscalCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////


}///Termina If PROCESO DE INTERFAZ FISCAL

/// **************************************** TERMINA ALGORITMO INTERMAZ ALMACEN NACIONAL ***************************************** ///
///################################################################################################################################///
		

}///Termina Else If GENERAL DEL PROCESO
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>